html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
    overflow-y: scroll;
    /*  margin-bottom: 60px;
*/
}


@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda&family=Quicksand:wght@300&display=swap');

:root {
    --background: #1a1a1a;
    --mainText: #cccccc;
    --accent: #00ffea;
    --accentDark: #09ab9d;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Quicksand', sans-serif;
}

@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.fadein {
    animation: fadeInAnimation ease 7s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

body {
    background-color: var(--background);
    color: var(--mainText);
}

h1, h2, h3 {
    margin: 0;
    padding: 0;
    font-weight: normal;
    font-family: 'Bodoni Moda', serif;
}

.main-container {
    width: 100vw;
    max-width: 960px;
    margin: 0 auto;
    padding-top: 20vh;
}

main {
    /* opacity: 0; */
    margin-top: 0px;
    /* animation: fadeInAnimation ease 7s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    animation-delay: 4s; */
}

ul {
    list-style-type: none;
    display: flex;
    padding-left:0;
}

li {
    margin-right: 30px;
}

.socials {
    margin-top: 10px;
}

.socials li {
    margin-right: 10px;
}

.socials a {
    text-decoration: none;   
    display: flex;
    align-items: center;
}

    .socials a * {
        color: var(--accent) !important;
        transition: 0.3s;
    }

.socials span {
    opacity: 0.5;
}
.socials i {
    max-height: 20px;
    margin-right: 6px;
    opacity:1;
    
}

    .socials a:hover * {
        color: var(--accentDark) !important;
        transition: 0.3s;
    }

.socials .tabout {
    font-size: 0.9em;
    align-self: flex-start;
    margin-left: 2px;
    /*color: white !important;*/
    opacity: 0.2;
    /*margin-top: 2px;*/
}

.cats {
    padding: 20px 0 10px 0;
    max-width: 100%;
    overflow: scroll;
}

.cats * {
    white-space:nowrap;
}

a {
    text-decoration: none;
    color: var(--mainText);
}

    a:hover {
        color: var(--accent);
    }

.infolink {
    transition: 0.3s;
}
.selected {
    background-color: rgba(255,255,255, 0.1);
    padding: 2px 10px;
    border-radius: 20px;
    transition: 0.3s;
}
.infoitem {
    opacity: 1;
    transition: 0.5s;
}

.infocontent {
    margin-top: 20px;
    overflow-y: scroll;
    /*    max-height: calc(100vh - 380px);
    min-height: 100px;
    overflow-x: hidden;
    overflow-y: scroll;*/
}

    .itemcontainer.hidden {
        height: 0;
        overflow:hidden;
    }


.infoitem.hidden {
        opacity: 0;
        transition: 0.5s;
    }



.item-date {
    font-weight:bold;
}

.item-title {
}

.item-institution {
    opacity: 0.5;
}

.infoitem div {
    margin-bottom: 10px;
    cursor: pointer;
    transition: 0.3s;
    display: flex;
    flex-wrap: wrap;
}

.infoitem p {
    margin-bottom: 0;
}

.infoitem .collapsable p {
    margin-bottom: 12px;
    opacity: 0.75;
}
.infoitem p.item-date{
    width: 50px;
}

.infoitem p.date-range {
    min-width: 130px;
}



.selectable, .selectable * {
    transition: 0.3s;
}
.selectable:hover * {
    color: var(--accent);
    transition: 0.3s;
}



.styled-scrollbars {
    /* Foreground, Background */
    scrollbar-color: rgba(255,255,255,0) rgba(255,255,255,0);
}

    .styled-scrollbars::-webkit-scrollbar {
        width: 1px; /* Mostly for vertical scrollbars */
        height: 1px; /* Mostly for horizontal scrollbars */
    }

    .styled-scrollbars::-webkit-scrollbar-thumb { /* Foreground */
        background: rgba(255,255,255,0);
        background-image: linear-gradient(rgba(255,255,255,0) 10%, rgba(255,255,255, 0.5) 50%, rgba(255,255,255, 0)90%);
    }

    .styled-scrollbars::-webkit-scrollbar-track { /* Background */
        background: rgba(255,255,255,0);
    }




.styled-2-scrollbars {
    /* Foreground, Background */
    scrollbar-color: rgba(255,255,255,0) rgba(255,255,255,0);
}

    .styled-2-scrollbars::-webkit-scrollbar {
        width: 5px; /* Mostly for vertical scrollbars */
        height: 1px; /* Mostly for horizontal scrollbars */
    }

    .styled-2-scrollbars::-webkit-scrollbar-thumb { /* Foreground */
        background: rgba(255,255,255,0);
        background-image: linear-gradient(rgba(255,255,255,0) 10%, rgba(255,255,255, 0.5) 50%, rgba(255,255,255, 0)90%);
    }

    .styled-2-scrollbars::-webkit-scrollbar-track { /* Background */
        background: rgba(255,255,255,0);
    }


    .collapsable {
        height: 0;
        overflow: hidden;
    }







.bubble-popout {
    display: flex;
    width: 100%;
    flex-wrap: wrap;    
}

    .bubble-popout li {
        
    }

.popout-item {
    background-color: rgba(255,255,255, 0.1);
    color: rgba(255,255,255, 0.5);
    border-radius: 20px;
    margin: 5px;
    padding: 10px 20px;
    cursor: pointer;
    border: 1px solid rgba(255,255,255,0);
    max-height: fit-content;
    max-width: fit-content;
    width: calc(100% - 10px);
    transition: 0.3s;
}

    .popout-item:hover {
        background-color: rgba(255,255,255, 0.15);
        border: 1px solid rgba(255,255,255,0.25);
        color: rgba(255,255,255, 0.9);
        transition: 0.3s;
    }
    .popout-item.expanded
    {
        max-width: 960px;
        transition: 0.3s;
    }

    .popout-item h1 {
        font-size: 14pt;
    }
    .popout-item p {
        height: 0px;
        width: 0px;
        overflow:hidden;
        white-space: pre-wrap;
        transition: 0.7s;
    }



    @media only screen and (max-width: 1020px) {
        h1 {
        font-size: 5em;
        margin-bottom: 10px;
    }
    .item-date, .infoitem p.date-range {
        min-width : 100%;
    }
}